extends VBoxContainer

func _ready():
	var button = get_node("Button2")
	button.pressed.connect(_button_pressed)
	
func _button_pressed():
	var button = get_node("Button2")
	button.text = "You pressed me!"
	print("Hello world!")
